Bug 110339 - sawfish doesn't play well with /lib/tls
sawfish doesn't play well with /lib/tls
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: sawfish (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-18 12:17 EST by Adrian Hosey
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-08 23:12:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adrian Hosey 2003-11-18 12:17:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030 Galeon/1.3.10

Description of problem:
When I set up the GNOME environment to use sawfish instead of
metacity, I was getting frequent lockups with sawfish. The X session
would not crash, but the window manager would lock up and take the
keyboard focus with it.

I experiemented by preloading libc and libm from /lib instead of
/lib/tls when I launched sawfish. It is stable when loaded this way.
However I cannot use the key binding "run shell command:
gnome-terminal" to create a new terminal window, I get this error in
an existing window:

gnome-terminal: relocation error: /lib/tls/libpthread.so.0: symbol
errno, version GLIBC_PRIVATE not defined in file libc.so.6 with link
time reference

(The binding works if sawfish is loaded with the /lib/tls libs.)
Creating new windows in other ways (the panel, command line) still works.


Version-Release number of selected component (if applicable):
sawfish-1.3-2

How reproducible:
Always

Steps to Reproduce:
1. killall metacity; sleep 10; sawfish
2. sawfish will soon lock up
3. Alternatively do killall metacity; sleep 10;   
LD_PRELOAD='/lib/libm.so.6 /lib/libc.so.6' sawfish to see stable
sawfish, but the gnome-terminal error.
    

Additional info:
Comment 1 Adrian Hosey 2003-11-18 15:55:47 EST
Update: After several days of stability, I had another sawfish lockup
shortly after filing this bug... My next move was to mv all of
/lib/tls out of the way and reboot, so that all applications use
either /lib or /lib/i686... more sawfish lockups resulted. So I guess
this bug can be closed, or perhaps amended to just "the sawfish RPM
don't work so good." I am going to try rebuilding sawfish from source.

Comment 2 Adrian Hosey 2003-12-09 14:05:16 EST
Update: it turned out to somehow be related to xfs. I turned off xfs
and put static FontPaths in the XF86Config. My desktop has been solid
ever since. 
Comment 3 Havoc Pennington 2004-08-08 23:12:58 EDT
Sawfish has been dropped from Fedora Core 3, see
http://www.redhat.com/archives/fedora-desktop-list/2004-May/msg00054.html
for some more discussion.

Closing all Sawfish bugs for this reason.

Note You need to log in before you can comment on or make changes to this bug.